buildscript {
    ext.kotlin_version = "1.3.31"
    ext.tornadofx_version = "1.7.18"
    ext.junit_version = "5.1.0"

    repositories {
        mavenLocal()
        mavenCentral()
    }
    dependencies {
        classpath "org.jetbrains.kotlin:kotlin-gradle-plugin:$kotlin_version"
        classpath "org.junit.platform:junit-platform-gradle-plugin:1.1.0"
    }
}

plugins {
    id 'org.jetbrains.kotlin.jvm' version '1.3.31'
    id "com.github.johnrengelman.shadow" version "5.0.0"
    id "application"
}

compileKotlin {
    kotlinOptions.jvmTarget = "1.8"
}
compileTestKotlin {
    kotlinOptions.jvmTarget = "1.8"
}

group 'org.hso'
version '1.0-SNAPSHOT'
archivesBaseName = 'TextureSync'
mainClassName = 'org.hso.texturesyncclient.app.Main'

repositories {
    mavenCentral()
}

dependencies {
    implementation "org.jetbrains.kotlin:kotlin-stdlib-jdk8:$kotlin_version"
    implementation "no.tornado:tornadofx:$tornadofx_version"
    implementation "com.jfoenix:jfoenix:8.0.9"
    implementation 'com.google.code.gson:gson:2.8.5'
}
